Subject: RE: [nemo] Usage Requirement - Personal Mobile Router

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 27 Nov 2006 10:37:34 +0100

Hi:

The root MR management (and I guess forming nested NEMO if I understand
you correctly) has already been discussed and was not accepted as a
charter item. It could lead quite far into MANET grounds and some people
asserted that it was not a NEMO issue.

Also, nesting is not specific to Personal MR. it is also present in L3
mesh networking, sensor networking, Car 2 Car, emergency response etc...

So I believe that nesting issues should be worked out separately from
the personal router use case.

If you are interested in following that discussion, there is already a
MANEMO list:
http://www.mobileip.jp/mailman/options/manemo

Pascal
>-----Original Message-----
>From: Won-Tae Kim [mailto:[email-masked]]
>Sent: Monday, November 27, 2006 3:47 AM
>To: 'Vijay Devarapalli'; 'Alexandru Petrescu'
>Cc: 'ml-nemo'; 'Thierry Ernst'
>Subject: RE: [nemo] Usage Requirement - Personal Mobile Router
>
>Hi, all.
>
>Vijay, you said PMR4v4 is already sold in commercial market.
>Did you mean IXI solution or others?
>And I absolutely agree with the suggestion of Thierry and Vijay.
>I have considered a kind of dynamically configured NEMO as you said.
>In case that some mobile terminals dynamically assemble and make a
>NEMO, one or some of them can be a root MR/MRs in order to serve the
>Other MRs. Of course, using WPAN can be RO path in terms of QoS and
>a way for enhance the network survivability in terms of energy
efficiency.
>Although there are some commercialization issues, e.g. billing,
>Some of mobile service providers have interesting to this technology,
as I
>know.
>Therefore, if it is in the scope of this charter, the followings are
>considered for the requirements:
>  - Root MR management for a dynamic NEMO
>  - Multi-homing configuration for network reliability and QoS
>
>Won-Tae Kim
>Embedded SW Research Division, ETRI
>Tel : +82-042-860-6678
>
>-----Original Message-----
>From: Vijay Devarapalli [mailto:[email-masked]]
>Sent: Monday, November 27, 2006 3:10 AM
>To: Alexandru Petrescu
>Cc: ml-nemo; Thierry Ernst
>Subject: Re: [nemo] Usage Requirement - Personal Mobile Router
>
>
>Alexandru Petrescu wrote:
>> Thierry Ernst wrote:
>>> Dear all,
>>>
>>> Chair's hat on:
>>>
>>> First, I would like to thank Vijay for bringing the Personal Router
>>> usage up on this mailing list.  The reason why in the charter we
only
>>> mentioned about the aviation use case and the automotive use case is
>>> simply that no one brought the PAN use case on the list.
>>>
>>> So,  the number of comments we got from folks in various kind of
>>> industry tend to demonstrate the tremendous interest this topic
could
>>> have and also the impact on consumer electronic business (I suspect
that
>>> the aviation and the automotive use cases wouldn't be deployed as
>>> quickly as PANs for medecine, emergency units, families, wheelchair,
>>> sports, etc.).
>>>
>>> And, yes, the questions for which we need an answer is:
>>> - what kind of RO must be supported,
>>> - what kind of multihoming configuration,
>>> - what kind of NEMO BU registration (explicit / implicit)
>>> - what kind of Prefix Delegation
>>> - what kind of AAA
>>> - etc
>>
>> Does PMR run IPv6 or IPv4.  Does it run Mobile IPv6 or Mobile IPv4.
>> These are simple questions but set the starting point.
>
>ofcourse IPv6, since we are working on this in
>the NEMO WG. IPv4 PMRs are already commercially
>sold today with a NAT on them. I don't think we
>need to do anything new there.
>
>Vijay

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 27 Nov 2006 14:10:41 +0100

Hi Pascal,

Pascal Thubert (pthubert) wrote:
> Hi:
> 
> The root MR management (and I guess forming nested NEMO if I
> understand you correctly) has already been discussed and was not
> accepted as a charter item. It could lead quite far into MANET
> grounds and some people asserted that it was not a NEMO issue.
> 
> Also, nesting is not specific to Personal MR. it is also present in
> L3 mesh networking, sensor networking, Car 2 Car, emergency
> response etc...

I think "nesting" is a term proper to NEMO.  A mobile router attaching
to another MR's link is nesting, provided that the first is not at
home under the second, effectively making it a VMR.

I think that's all about "nesting".

I think a moving network that has several FRs (fixed routers) into it
don't qualify as nesting.  Even if those are mobile routers that
attach to a root-MR, if they are a thome under that MR then they're
not "nesting".

In mesh networking (car2car, first response), there's no encapsulation
of packets, because no MIP6 tunnelling, hence no "nesting".

I think "nesting" comes from the packets that are encapsulated.

But I agree that "nesting" is not specific to PErsonal MR.

Alex

> So I believe that nesting issues should be worked out separately
> from the personal router use case.
> 
> If you are interested in following that discussion, there is
> already a MANEMO list: 
>> -----Original Message----- From: Won-Tae Kim
>> [mailto:[email-masked]] Sent: Monday, November 27, 2006 3:47 AM
>>  To: 'Vijay Devarapalli'; 'Alexandru Petrescu' Cc: 'ml-nemo';
>> 'Thierry Ernst' Subject: RE: [nemo] Usage Requirement - Personal
>> Mobile Router
>> 
>> Hi, all.
>> 
>> Vijay, you said PMR4v4 is already sold in commercial market. Did
>> you mean IXI solution or others? And I absolutely agree with the
>> suggestion of Thierry and Vijay. I have considered a kind of
>> dynamically configured NEMO as you said. In case that some mobile
>> terminals dynamically assemble and make a NEMO, one or some of
>> them can be a root MR/MRs in order to serve the Other MRs. Of
>> course, using WPAN can be RO path in terms of QoS and a way for
>> enhance the network survivability in terms of energy
> efficiency.
>> know. Therefore, if it is in the scope of this charter, the
>> followings are considered for the requirements: - Root MR
>> management for a dynamic NEMO - Multi-homing configuration for
>> network reliability and QoS
>> 
>> Won-Tae Kim Embedded SW Research Division, ETRI Tel :
>> +82-042-860-6678
>> 
>> -----Original Message----- From: Vijay Devarapalli
>> [mailto:[email-masked]] Sent: Monday, November
>> 27, 2006 3:10 AM To: Alexandru Petrescu Cc: ml-nemo; Thierry
>> Ernst Subject: Re: [nemo] Usage Requirement - Personal Mobile
>> Router
>> 
>> 
>>>> First, I would like to thank Vijay for bringing the Personal
>>>> Router usage up on this mailing list.  The reason why in the
>>>> charter we
> only
>>>> mentioned about the aviation use case and the automotive use
>>>> case is simply that no one brought the PAN use case on the
>>>> list.
>>>> 
>>>> So,  the number of comments we got from folks in various kind
>>>> of industry tend to demonstrate the tremendous interest this
>>>> topic
> could
>>>> the aviation and the automotive use cases wouldn't be
>>>> deployed as quickly as PANs for medecine, emergency units,
>>>> families, wheelchair, sports, etc.).
>>>> 
>>>> And, yes, the questions for which we need an answer is: -
>>>> what kind of RO must be supported, - what kind of multihoming
>>>> configuration, - what kind of NEMO BU registration (explicit
>>>> / implicit) - what kind of Prefix Delegation - what kind of
>>>> AAA - etc
>>> Does PMR run IPv6 or IPv4.  Does it run Mobile IPv6 or Mobile
>>> IPv4. These are simple questions but set the starting point.
>> ofcourse IPv6, since we are working on this in the NEMO WG. IPv4
>> PMRs are already commercially sold today with a NAT on them. I
>> don't think we need to do anything new there.
>> 
>> Vijay
> 
>